package gov.va.med.esr.conversion;

import java.util.Date;
import java.util.List;

import gov.va.med.fw.model.AbstractEntity;

import org.apache.commons.lang.builder.ToStringBuilder;

public class VOTest extends AbstractEntity
{
	private static final long serialVersionUID = -923888407007578610L;
    private String name[];
	private AddressTest address;
	private Date birthDate;
	private int age;
	private java.sql.Date updateDate;
	private List list;
	private String children[];
	
	public String[] getName() 
	{
		return name;
	}

	public void setName(String[] name) 
	{
		this.name = name;
	}
	
	public AddressTest getAddress() 
	{
		return address;
	}

	public void setAddress(AddressTest address) 
	{
		this.address = address;
	}
	
	public Date getBirthDate() 
	{
		return birthDate;
	}

	public void setBirthDate(Date birthDate) 
	{
		this.birthDate = birthDate;
	}
	
	public int getAge() 
	{
		return age;
	}

	public void setAge(int age) 
	{
		this.age = age;
	}
	
	public java.sql.Date getUpdateDate() 
	{
		return updateDate;
	}

	public void setUpdateDate(java.sql.Date updateDate) 
	{
		this.updateDate = updateDate;
	}
	
	public List getList() 
	{
		return list;
	}

	public void setList(List list) 
	{
		this.list = list;
	}
	
	public String[] getChildren() 
	{
		return children;
	}

	public void setChildren(String[] children) 
	{
		this.children = children;
	}
	
	protected void buildToString(ToStringBuilder builder) {}
	
	public String toString() 
	{
		StringBuffer buffer = new StringBuffer();
		if(name != null)
		{
			for(int i=0; i<name.length; i++)
			{
				buffer.append("name[" + i + "] = " + name[i] + "\n");
			}
		}
		buffer.append("address = " + address.toString() + "\n");
		buffer.append("birthDate = " + birthDate.toString() + "\n");
		buffer.append("age = " + age + "\n");
		buffer.append("updateDate = " + updateDate + "\n");	
		buffer.append("list = " + list + "\n");
		if(children != null)
		{
			buffer.append("Children: ");
			for(int i=0; i<children.length; i++)
			{
				buffer.append("Children[" + i + "] = " + children[i] + "\n");
			}
		}
		return buffer.toString();
	}

}
